// DetectChange V2.0
// Author P.Peters
// 20171005
//
// at startup the light intensity is measured and used as a reference
// this does not allow for changing light conditions whie the system is running

// LDR is connected to pin A0
#define sensorPin A0

// LED connected to pin 13
#define ledPin 13

// storage for sensor value read
int sensorValue = 0;
int level = 0;

void setup() {
  // define I/O pins
  pinMode(ledPin, OUTPUT);
  pinMode(sensorPin, INPUT_PULLUP);
  // read the level value from the sensor:
  level = analogRead(sensorPin);
}

void loop() {
  // read the value from the sensor:
  sensorValue = analogRead(sensorPin);
  // do something with the value read from the sensor
  if (sensorValue < level+100) { // is this the right value?
    // switch LED ON
    digitalWrite(ledPin, HIGH);
  } else {
    // switch LED off
    digitalWrite(ledPin, LOW);
  }
}
